WordPress.org

Support

Support » Installation » My site show error message Parse Error after upgrade wordpress to 3.4.2

My site show error message Parse Error after upgrade wordpress to 3.4.2

  • cancerhelps

    @cancerhelps

    hi,
    i just upgraded my WP to ver 3.4.2 (before i using ver 2.0.1)
    after i download installation pack WP 3.4.2, then i upload it via FTP .
    now my site has error instead with this .

    Parse error: syntax error, unexpected $end, expecting ‘&’ or T_VARIABLE in /home/k0748850/public_html/wp-includes/functions.php on line 4513

    how do i fix it ?
    my site is : http://cancer-diet.info/
    please ur help and many thanks .

Viewing 5 replies - 1 through 5 (of 5 total)
  • rocketman7k

    @keithgroben

    It could be a conflict with a plugin.

    shinjing

    @shinjing

    Hi cancerhelps,

    Maybe the version gap is the problem. Please try this one:

    1. download the latest version of WordPress
    2. Make sure if all plugin(s) you have is off
    3. open your FTP and replace all files you have except:

    – wp-content folder
    – wp-config.php file

    cancerhelps

    @cancerhelps

    @rocketman i have try deleted all plugins in wp-content using FTP and still doesn’t work .

    @shinjing hi shinjing, i already overwrited all folder and files my old WP version (its my fault before). old wp-content folder and wp-config has been replaced with newer version .

    and im cannot access (my domain).com/wp-admin to enter my dashboard too :((

    shinjing

    @shinjing

    Hi cancerhelps,

    when you replace your file with the new version of WordPress, you will see a notification to update your databse, do you have it?

    And after checking your site, we got this error message:

    Parse error: syntax error, unexpected $end, expecting ‘)’ in /home/k0748850/public_html/wp-includes/functions.php on line 4514

    which means there was an error while uploading because all files under wp-includes folder should be replaced by the new files.

    Please do the upload (don’t forget to replace) once more.

    also please make sure while replacing the files your plugins is off (you can turn the plugins off manually by renaming the plugin folders name at: wp-content > plugins)

    esmi

    @esmi

    Forum Moderator

    i just upgraded my WP to ver 3.4.2 (before i using ver 2.0.1)

    That is far too big an upgrade to carry out in a single step! You should have carried out a series of smaller upgrades as outlined in Upgrading_WordPress_Extended to avoid trashing your database. Do you have a pre-upgrade database backup?

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘My site show error message Parse Error after upgrade wordpress to 3.4.2’ is closed to new replies.
Skip to toolbar